## Mysensors RFM69W Serial Gateway

**Description:**

This is a Mysensors serial GW using **RFM69W** radio module and **CP2102** usb to serial converter. 

**Key features:**

 - **USB to serial converter** using **CP2102** specialized IC
 - **ATSHA204A** for signing
 - **MySensors** ready(**Atmega328p** + **RFM69W**)

**Work progress:**
1. Test/verify the pcb board correctness(from both electrical and mechanical point of views) - **DONE**
2. Produce the initial PCB's using some external PCB manufacturer - **DONE**
3. Components assembly(soldering) - **DONE**
4. Upload Mysensors serial GW sketch code - **DONE**
5. Verify the real board with running code - **DONE**
6. Create project enclosure using a 3D printer - **DONE**

**Instructions:**
1. Burn MCU fuses using avrdude like this: `avrdude -cusbasp -pm328p -U lfuse:w:0xff:m -U hfuse:w:0xde:m`
2. Burn arduino serial bootloader using their IDE(select board Arduino Genuino/Uno -> Programmer: usbasp(or which one you have) -> Burn bootloader)
3. Upload serial gateway example sketch provided with this project(taken from Mysensors examples and adapted for this board)

**Notes:**

 If experiencing instabilities please replace **C10 & C13** caps with **tantalum** type ones(**0805/R/P** case type and rated at **10V**)

**HW Revisions:**
 - 0.1 - initial design
 - 0.2 - fixed ceramic resonator pinout
 - 0.3 - removed capacitor from reset switch as it can interfere with arduino serial bootloader if used
 - 0.4 - added VUSB line filtering
 - 0.5 - added USB lines termination resistors

**Credits:**
  
  All credits go to **MySensors** team for the great work and to the opensource community